from fastapi import APIRouter, status
from helpers.banana_helpers import create_banana
from schemas.banana import BananaCreate, BananaSchema
from sqlalchemy.orm import Session
from fastapi import Depends
from core.database import get_db

router = APIRouter()

@router.post("/banana", status_code=status.HTTP_201_CREATED, response_model=BananaSchema)
async def create_new_banana(
    banana: BananaCreate,
    db: Session = Depends(get_db)
):
    new_banana = create_banana(db=db, banana_data=banana)
    return new_banana